nlohmann::detail::output_vector_adapter< CharType > Class Template Reference

output adapter for byte vectors More...

`#include <json.hpp>`

Inheritance diagram for nlohmann::detail::output_vector_adapter< CharType >:
[legend]
Collaboration diagram for nlohmann::detail::output_vector_adapter< CharType >:
[legend]

## Public Member Functions

| output_vector_adapter (std::vector< CharType > &vec) noexcept
void | write_character (CharType c) override
void | write_characters (const CharType *s, std::size_t length) override
| output_vector_adapter (std::vector< CharType > &vec) noexcept
void | write_character (CharType c) override
void | write_characters (const CharType *s, std::size_t length) override
Public Member Functions inherited from nlohmann::detail::output_adapter_protocol< CharType >
virtual | ~output_adapter_protocol ()=default
virtual | ~output_adapter_protocol ()=default

## Detailed Description

### template<typename CharType>
class nlohmann::detail::output_vector_adapter< CharType >

output adapter for byte vectors

## Constructor & Destructor Documentation

## output_vector_adapter() [1/2]

template<typename CharType >

nlohmann::detail::output_vector_adapter< CharType >::output_vector_adapter | ( | std::vector< CharType > & | vec | ) |

inlineexplicitnoexcept

## output_vector_adapter() [2/2]

template<typename CharType >

nlohmann::detail::output_vector_adapter< CharType >::output_vector_adapter | ( | std::vector< CharType > & | vec | ) |

inlineexplicitnoexcept

## Member Function Documentation

## write_character() [1/2]

template<typename CharType >

void nlohmann::detail::output_vector_adapter< CharType >::write_character | ( | CharType | c | ) |

inlineoverridevirtual

Implements nlohmann::detail::output_adapter_protocol< CharType >.

## write_character() [2/2]

template<typename CharType >

void nlohmann::detail::output_vector_adapter< CharType >::write_character | ( | CharType | c | ) |

inlineoverridevirtual

Implements nlohmann::detail::output_adapter_protocol< CharType >.

## write_characters() [1/2]

template<typename CharType >

void nlohmann::detail::output_vector_adapter< CharType >::write_characters | ( | const CharType * | s,
|  | std::size_t | length
| ) |  |

inlineoverridevirtual

Implements nlohmann::detail::output_adapter_protocol< CharType >.

## write_characters() [2/2]

template<typename CharType >

void nlohmann::detail::output_vector_adapter< CharType >::write_characters | ( | const CharType * | s,
|  | std::size_t | length
| ) |  |

inlineoverridevirtual

Implements nlohmann::detail::output_adapter_protocol< CharType >.

The documentation for this class was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp